#include "app_set_var_list.h"
#include "ui_manager.h"


float app_set_var_list_handle_event(keyValue kval)
{
    float value = 0 ;
    switch (kval)
    {
    case KEY_DATA_LEFT:
        ui_manager_comp_opera_set_valist(SPINBOX_SET_LEFT);
        break;
    case KEY_DATA_RIGHT:
        ui_manager_comp_opera_set_valist(SPINBOX_SET_RIGHT);
        break;
    case KEY_DATA_UP:
        ui_manager_comp_opera_set_valist(SPINBOX_SET_UP);
        break;
    case KEY_DATA_DOWN:
        ui_manager_comp_opera_set_valist(SPINBOX_SET_DOWN);
        break;
    case KEY_DATA_BACK:
    case KEY_DATA_CANCEL:
        
        break;
    case KEY_DATA_ENTER:
        
        value = ui_manager_comp_get_valist_spinbox_value();

        break;                
    default:
        break;
    }

    return value;
}